Skip to main content
GET
Get a debt by ID

Authorizations

Authorization
string
header
required

Use Authorization: Bearer esk_live_... or esk_test_... for API access

Path Parameters

id
string
required

Response

id
string<uuid>
required
clientId
string<uuid>
required
organizationId
string<uuid>
required
productName
string
required
Example:

"Mensalidade Março"

amount
number
required
Example:

150

dueDate
string
required

Civil due date YYYY-MM-DD

Example:

"2026-03-15"

createdAt
object
required
updatedAt
object
required
collectionMode
enum<string>
required

billing (Cobrança) or recovery (Recuperação).

Available options:
billing,
recovery
handoffOptedOut
boolean
required

Taken out of the automatic handoff to the Recuperação for good (the manual send stays possible).

productDetails
object | null
enrollmentStatus
object | null
settledAt
object | null
settledAmount
object | null
settlementMethod
enum<string> | null
Available options:
manual,
receipt,
pix,
boleto,
card
paymentPageViewedAt
object | null
recurringChargeId
object | null
recurringCharge
object
originalDueDate
object | null

Due date when the debt was created (YYYY-MM-DD); days late count from it.

Example:

"2026-03-15"

recoveryStartedAt
object | null
recoveryStatus
enum<string> | null
Available options:
diagnosing,
active,
no_contact,
prescribed,
disputed,
closed_no_deal,
voided